using Hi.Disp;
using Hi.Disp.Flag;
using Hi.Geom;
using Hi.WinForm.Disp;
using System;
using System.Windows.Forms;

namespace Hi.WinForm
{
	static class Program
	{
		/// <summary>
		///  The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{
            DispEngine.Init();
            Application.ApplicationExit += Application_ApplicationExit;

            RenderingCanvas displayer = new RenderingCanvas(new CoordinateDrawing(),new Stl(Box3d.CenterUnitBox).ToFaceDrawing());
			Form form = new Form();
			form.Controls.Add(displayer);
			Application.Run(form);
		}

        private static void Application_ApplicationExit(object sender, EventArgs e)
        {
			DispEngine.FinishDisp();
        }
    }
}
